@import '~src/scss/variables';
@import '~src/scss/mixins';

// declare the variables

$primary-light : map-get($primary-color-set, 200);
$primary : map-get($primary-color-set, 500);
$primary-dark : map-get($primary-color-set, 800);

$secondary-light : map-get($secondary-color-set, 200);
$secondary : map-get($secondary-color-set, 500);
$secondary-dark : map-get($secondary-color-set, 800);

$info-light : map-get($info-color-set, 200);
$info : map-get($info-color-set, 500);
$info-dark : map-get($info-color-set, 800);

$warning-light : map-get($warning-color-set, 200);
$warning : map-get($warning-color-set, 500);
$warning-dark : map-get($warning-color-set, 800);

$success-light : map-get($success-color-set, 200);
$success : map-get($success-color-set, 500);
$success-dark : map-get($success-color-set, 800);

$danger-light : map-get($danger-color-set, 200);
$danger : map-get($danger-color-set, 500);
$danger-dark : map-get($danger-color-set, 800);

$violet-light : map-get($violet-color-set, 200);
$violet : map-get($violet-color-set, 500);
$violet-dark : map-get($violet-color-set, 800);

$gray-light : map-get($gray-color-set, 200);
$gray : map-get($gray-color-set, 500);
$gray-dark : map-get($gray-color-set, 800);

$pink-light : map-get($pink-color-set, 200);
$pink : map-get($pink-color-set, 500);
$pink-dark : map-get($pink-color-set, 800);





::ng-deep .mat-expansion-panel-header {
    .mat-expansion-indicator::after {
        color: currentColor !important;
    }
}

.bg-primary {
    background-color: #{$primary} !important;
}

.custom-card{
    border-radius: 20px;
    padding: 0 !important;
    .card-title{
        color: #{$white};
        background-color: #{$primary};
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
    }
}

::ng-deep .btn-disabled{
    .mat-button-ripple{
        background-color: (#{$white} + '5c') !important;
    }
}

.bg-primary-light{
    background-color: #{$primary-light} !important;
}

.bg-primary{
    background-color: #{$primary} !important;
}

.bg-primary-dark{
    background-color: #{$primary-dark} !important;
}

.bg-secondary-light{
    background-color: #{$secondary-light} !important;
}

.bg-secondary{
    background-color: #{$secondary} !important;
}

.bg-secondary-dark{
    background-color: #{$secondary-dark} !important;
}

.bg-info-light{
    background-color: #{$info-light} !important;
}

.bg-info{
    background-color: #{$info} !important;
}

.bg-info-dark{
    background-color: #{$info-dark} !important;
}

.bg-warning-light{
    background-color: #{$warning-light} !important;
}

.bg-warning{
    background-color: #{$warning} !important;
}

.bg-warning-dark{
    background-color: #{$warning-dark} !important;
}


.bg-danger-light{
    background-color: #{$danger-light} !important;
}

.bg-danger{
    background-color: #{$danger} !important;
}

.bg-danger-dark{
    background-color: #{$danger-dark} !important;
}
